## libsdplane 0.3.37

=== debian/changelog ===
libsdplane (0.3.37-77) UNRELEASED; urgency=low

  * release. update changelog.
  * update ChangeLog.

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Thu, 22 Jan 2026 16:29:18 +0900

libsdplane (0.3.37-76) UNRELEASED; urgency=low

  * release. update changelog.
  * Merge pull request #2 from kait-cronos/pager-nonblock
  * pager O_NONBLOCK.

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Sun, 18 Jan 2026 00:18:32 +0900

libsdplane (0.3.37-73) UNRELEASED; urgency=low

  * release. update changelog.
  * Merge branch 'update-build-script'

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Sun, 11 Jan 2026 03:35:17 +0900

libsdplane (0.3.37-71) UNRELEASED; urgency=low

  * release. update changelog.
  * Merge branch 'opensh-safer-rm'
  * safer rm in opensh.
  * Merge branch 'commands-with-flags'
  * (more|less|rm|rmdir|mkdir) commands. (ls|rm|rmdir) flags commands.
  * Merge branch 'fix-configure-cflags-space'
  * fix configure's CFLAGS space cases: ex. "-g -O0".
  * Merge branch 'yasuhironet:main' into main
  * Merge branch 'stop-completion-var-word'
  * stop completion on variable spec (i.e., "<WORD>").
  * Merge pull request #3 from kait-cronos/main
  * Merge branch 'deb-package'

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Mon, 22 Dec 2025 02:49:42 +0900

libsdplane (0.3.37-59) UNRELEASED; urgency=low

  * release. update changelog.
  * Merge branch 'stable-march'

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Sat, 25 Oct 2025 16:46:29 +0900

libsdplane (0.3.37-57) UNRELEASED; urgency=low

  * release. update changelog.

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Sat, 25 Oct 2025 14:54:13 +0900

libsdplane (0.3.37-56) UNRELEASED; urgency=low

  * release. update changelog.
  * Merge branch 'deb-package'

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Sat, 25 Oct 2025 14:48:49 +0900

libsdplane (0.3.37-54) UNRELEASED; urgency=low

  * release. update changelog.
  * Merge branch 'incorporate-ptree'
  * incorporate ptree.[ch].
  * Merge branch 'restore-obsoleted-headers'
  * restore obsoleted headers. place-holder for headers should be left for the compilation, even though they are obsoleted.
  * Merge branch 'error-and-warning-msg'
  * error and warning message functions.
  * Merge branch 'new-log-system'
  * new log-system. IS_DEBUG() and DEBUG_NEW() can now be used.
  * Merge branch 'log-cleanup'
  * debug log system is reduced to fit in debug_log.[ch] and debug_cmd.[ch].
  * Merge branch 'new-log-system'
  * framework for the new log-system.
  * Merge branch 'libsdplane-version'
  * libsdplane version.
  * Merge branch 'main' of github.com:kait-cronos/libsdplane-dev
  * Merge branch 'enable-pasting'
  * enable-pasting. when we see multiple lines in a single read batch, the pager is restrained.
  * return with value.
  * Merge branch 'main' of github.com:kait-cronos/libsdplane-dev
  * Merge pull request #1 from kait-cronos/develop/m-asama_pager
  * Fix truncated pager output
  * Merge pull request #1 from kait-cronos/main
  * update changelog for v0.3.37-6.

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Sun, 19 Oct 2025 21:55:06 +0900

libsdplane (0.3.37-30) UNRELEASED; urgency=low

  * release. update changelog.

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Sat, 2 Aug 2025 13:38:30 +0900

libsdplane (0.3.37-29) UNRELEASED; urgency=low

  * release. update changelog.

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Sat, 2 Aug 2025 13:37:29 +0900

libsdplane (0.3.37-28) UNRELEASED; urgency=low

  * release. update changelog.
  * fix startup_config's newlines while it is in ongoing process.
  * shell winsize set and display cmd.
  * support left and right arrow keys. move func2str from command_shell.[ch] to shell.[ch].
  * fix pager in opensh and vtyd. support shell arrows.
  * fix command history time.
  * revise command_shell_ls_candidate (again).
  * revise command history.
  * fix command sort: command_node_cmp_qsort().
  * fix command_shell_ls_candidate(). Previously it sometimes fails to show the correct command candidates.
  * fix commands' argc and argv, replacing them with the completed words. (the completed whole word is given even if the user typed partially.)
  * fix redundant newlines in telnet CLI's pager mode.
  * fix command_shell_ls_candidate() when extra spaces are inserted. added shell_debug.[ch]. command_func_name_regiser().
  * debug zcmdsh pager-contents, (|no) debug zcmdsh all.
  * fix the pager bug.
  * shell_debug.
  * command_argv_parse(), command_matched_nodes() for better shell_debug.

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Fri, 1 Aug 2025 13:05:14 +0900

libsdplane (0.3.37-11) UNRELEASED; urgency=low

  * release. update changelog.

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Sun, 20 Jul 2025 02:52:29 +0900

libsdplane (0.3.37-10) UNRELEASED; urgency=low

  * release. update changelog.
  * command_shell: command's return status support: not-found or failure. exec_limit.[ch] added.
  * adjust log in error.
  * sync misc.
  * remove obsolete part in command.h.
  * debian/ and .git/ will be needed to produce dpkg from src.
  * fix make-src-release.sh.
  * make-src-release.sh

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Sun, 20 Jul 2025 01:00:26 +0900

libsdplane (0.3.37-2) UNRELEASED; urgency=low

  * release. update changelog.
  * fix changelog.

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Sun, 8 Jun 2025 17:35:05 +0900

libsdplane (0.3.37) UNRELEASED; urgency=low

  * release. update changelog.

 -- Yasuhiro Ohara <yasu1976@gmail.com>  Thu, 24 Apr 2025 15:32:56 +0900

libsdplane (0.3.36-52) UNRELEASED; urgency=low

  * release. update changelog.

 -- wiretap root user <yasu1976@gmail.com>  Sun, 20 Apr 2025 21:57:17 +0900

libsdplane (0.3.36-51) UNRELEASED; urgency=low

  * release. update changelog.

 -- wiretap root user <yasu1976@gmail.com>  Sun, 20 Apr 2025 21:55:17 +0900

libsdplane (0.3.36-50) UNRELEASED; urgency=low

  * release. update changelog.

 -- wiretap root user <yasu1976@gmail.com>  Sun, 20 Apr 2025 21:04:49 +0900

libsdplane (0.3.36-49) UNRELEASED; urgency=low

  * release. update changelog.

