=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -march=x86-64-v2
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf 

#override_dh_autoreconf:
#	dh_autoreconf -- ./autogen.sh

#override_dh_install:
#	dh_install --list-missing -X.la -X.pyc -X.pyo

override_dh_auto_install:
	dh_auto_install -- prefix=/usr
